import json
from time import sleep
import requests_cache

url = "https://orderapp.burgerkingrus.ru/api/v1/menu/coupons"

headers = {
    'Accept': 'application/json, text/plain, */*',
    'Sec-Fetch-Site': 'same-site',
    # 'Accept-Encoding': 'gzip, deflate, br',
    'Accept-Language': 'en-GB,en;q=0.9',
    'Sec-Fetch-Mode': 'cors',
    'Host': 'orderapp.burgerkingrus.ru',
    'Origin': 'https://burgerkingrus.ru',
    'User-Agent': 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/58.0.3029.110 Safari/537.36',
    'Connection': 'keep-alive',
    'Referer': 'https://burgerkingrus.ru/',
    'Sec-Fetch-Dest': 'empty',
    'x-burgerking-platform': 'web_mobile',
}

params = {
    'restaurant': '6',
    'is_delivery': '0',
}

rest = json.load(open("rest.json", "r"))
session = requests_cache.CachedSession('coup_0825')
coupons = dict()
for r in (rest["response"]["list"]):
    # print(r["id"])
    params['restaurant'] = r["id"]
    t = session.get(url, params=params, headers=headers)

    if ("2-й Воппер за 1 руб" in t.text):
        print(r["address"])
    elif (len(t.text) < 70):
        print("NOT OK (((")
        print(r["address"])
        print(t.text)
    if (not t.from_cache):
        sleep(2)  # чтоб не забанили за спам

